javax.swing.plaf.basic

## Class BasicOptionPaneUI.ButtonActionListener

- java.lang.Object
- - javax.swing.plaf.basic.BasicOptionPaneUI.ButtonActionListener

All Implemented Interfaces:
  ActionListener, EventListener

Enclosing class:
  BasicOptionPaneUI

    public class BasicOptionPaneUI.ButtonActionListener
    extends Object
    implements ActionListener

This inner class is marked "public" due to a compiler bug. This class should be treated as a "protected" inner class. Instantiate it only within subclasses of BasicOptionPaneUI.

### Field Summary

Fields
`protected int` `buttonIndex`

### Constructor Summary

Constructors
Constructor and Description
`BasicOptionPaneUI.ButtonActionListener(int buttonIndex)`

### Method Summary

Methods
`void` `actionPerformed(ActionEvent e)` Invoked when an action occurs.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### buttonIndex

    protected int buttonIndex

### Constructor Detail

#### BasicOptionPaneUI.ButtonActionListener

    public BasicOptionPaneUI.ButtonActionListener(int buttonIndex)

### Method Detail

#### actionPerformed

    public void actionPerformed(ActionEvent e)

Description copied from interface: `ActionListener`
Invoked when an action occurs.

Specified by:
  `actionPerformed` in interface `ActionListener`

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.